#include <iostream>

using namespace std;

int main()
{
    long long v, resenje = 0;
    cin >> v;

    while(v)
    {
        int g = v%10;
        if(g==5 || g==1 || g==2) resenje += 1;
        else if(g==3 || g==4 || g==6 || g==7) resenje += 2;
        else if(g==9 || g==8) resenje += 3;
        v/=10;
    }

    cout << resenje;
}